#ifndef PATHCHECK_H
#define PATHCHECK_H

#include <QString>
#include <QStandardPaths>
#include <QSettings>
#include <QApplication>
#include <QDir>
#include <QFileInfo>
#include <QDebug>
#include <QRegularExpression>

namespace Shared {

QString downloadsPathCheck();
QString downloadsPathCheck(QString path);
QString defaultDownloadsPath();

QString getAbsoluteWritablePath(const QString& path);
QString resolvePath(QString path);
QString squawkifyPath(QString path);
bool isSubdirectoryOfSettings(const QString& path);

}

#endif // PATHCHECK_H
